# usage

Compute v2

## usage list

List resource usage per project

    openstack usage list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--start <start>]
        [--end <end>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--start <start>

  Usage range start date, ex 2012-01-20 (default: 4 weeks ago)

--end <end>

  Usage range end date, ex 2012-01-20 (default: tomorrow)

## usage show

Show resource usage for a single project

    openstack usage show
        [--project <project>]
        [--start <start>]
        [--end <end>]

--project <project>

  Name or ID of project to show usage for

--start <start>

  Usage range start date, ex 2012-01-20 (default: 4 weeks ago)

--end <end>

  Usage range end date, ex 2012-01-20 (default: tomorrow)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.